var plasma_entities = new Array(
    {
        name      : "Plasma frequency",
        dimension : "frequency",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getPlasmaFrequency()",
        wikiLink  : "Plasma_frequency"
    },
    {
        name      : "Gyrofrequency",
        dimension : "frequency",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getGyroFrequency(this.B)",
        wikiLink  : "Gyrofrequency"
    },

    {
        name      : "Mean interparticle distance",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getMeanDistance()"
    },
    {
        name      : "Debye length",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getDebyeLength()",
        wikiLink  : "Debye_length"
    },
    {
        name      : "Full Debye length",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "this.getFullDebyeLength(%s1)",
        wikiLink  : "Debye_length"
    },
    {
        name      : "Gyroradius",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getGyroRadius(this.B)",
        wikiLink  : "Gyroradius"
    },
    {
        name      : "Distance of minimal approach",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getMinApproachDistance()"
    },
    {
        name      : "Inertial length",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getInertialLength()",
        wikiLink  : "Inertial_length"
    },
    {
        name      : "De Broglie wavelength",
        dimension : "length",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getDeBroglieLength()",
        wikiLink  : "DeBroglie_wavelength"
    },

    {
        name      : "Thermal velocity",
        dimension : "velocity",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getThermalVelocity()",
        wikiLink  : "Thermal_velocity"
    },
    {
        name      : "Alfven velocity",
        dimension : "velocity",
        nspecies  : 0,
        section   : "waves",
        formula   : "this.getAlfvenVelocity(this.B)",
        wikiLink  : "Alfven_velocity"
    },

    {
        name      : "Coupling parameter",
        dimension : "none",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getCoupling()"
    },
    {
        name      : "Typical Debye screening",
        dimension : "none",
        nspecies  : 1,
        section   : "spectroscopy",
        formula   : "var r = %s1.getMeanDistance()/%s1.getDebyeLength(); \
                     (1 + r)*Math.exp(-r)"
    },

    {
        name      : "Transition energy",
        dimension : "energy",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "this.getWavenumber()"
    },
    {
        name      : "Natural linewidth",
        dimension : "energy",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "this.getNaturalWidth()"
    },
    {
        name      : "Doppler FWHM",
        dimension : "energy",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "2*this.getDopplerHwhm()",
        wikiLink  : "Doppler_broadening"
    },
    {
        name      : "Zeeman splitting",
        dimension : "energy",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "2*this.getZeemanSplitting()"
    },
    {
        name      : "Total Stark FWHM",
        dimension : "energy",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "2*this.getStarkHwhm()"
    },
    {
        name      : "Stark FWHM",
        dimension : "energy",
        nspecies  : 1,
        prepos    : "due to",
        section   : "spectroscopy",
        formula   : "2*this.getQsHwhm(%s1)*this.getStarkQuasistaticity(%s1)"
    },

    {
        name      : "QS Stark FWHM",
        dimension : "energy",
        nspecies  : 1,
        prepos    : "due to",
        section   : "spectroscopy",
        formula   : "2*this.getQsHwhm(%s1)"
    },

    {
        name      : "Dynamic Stark range",
        dimension : "energy",
        nspecies  : 1,
        section   : "spectroscopy",
        formula   : "this.getMicrofieldFrequency(%s1)/3e10/(2*Math.PI)"
    },

    {
        name      : "Minimal energy distance",
        dimension : "energy",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "this.getMinEnergyDistance()"
    },
    {
        name      : "Fermi energy",
        dimension : "energy",
        nspecies  : 0,
        section   : "fundamental",
        formula   : "this.getFermiEnergy()",
        wikiLink  : "Fermi_energy"
    },

    {
        name      : "Beta",
        dimension : "none",
        nspecies  : 0,
        section   : "fundamental",
        formula   : "this.getBeta()",
        wikiLink  : "Beta_(plasma_physics)"
    },
    
    {
        name      : "Stark quasistaticity",
        dimension : "none",
        nspecies  : 1,
        section   : "spectroscopy",
        formula   : "this.getStarkQuasistaticity(%s1)"
    },
    {
        name      : "Static/dynamic Stark ratio",
        dimension : "none",
        nspecies  : 1,
        section   : "spectroscopy",
        formula   : "this.getStarkRatio(%s1)"
    },

    {
        name      : "Transition wavelength",
        dimension : "length",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "1/this.getWavenumber()"
    },

    {
        name      : "Transition frequency",
        dimension : "frequency",
        nspecies  : 0,
        section   : "spectroscopy",
        formula   : "3e10*this.getWavenumber()"
    },

    {
        name      : "Holtsmark field",
        dimension : "efield",
        nspecies  : 1,
        section   : "spectroscopy",
        formula   : "%s1.getHoltsmarkField()"
    },

    {
        name      : "Microfield frequency",
        dimension : "frequency",
        nspecies  : 1,
        section   : "spectroscopy",
        formula   : "this.getMicrofieldFrequency(%s1)"
    },
    
    {
        name      : "Cyclotron losses",
        dimension : "power_density",
        nspecies  : 1,
        section   : "radiation",
        formula   : "%s1.getCyclotronLosses(this.B)",
        wikiLink  : "Cyclotron_radiation"
    },
    
    {
        name      : "Free-free losses",
        dimension : "power_density",
        nspecies  : 0,
        section   : "radiation",
        formula   : "this.getBremsstrahlungLosses()"
    },
    
    {
        name      : "Free-free spectral density",
        dimension : "spectral_power_density",
        nspecies  : 0,
        section   : "radiation",
        formula   : "this.getBremsstrahlungSpectralDensity()"
    },
    
    {
        name      : "Free-bound losses",
        dimension : "power_density",
        nspecies  : 0,
        section   : "radiation",
        formula   : "this.getFreeBoundLosses()"
    },
    
    {
        name      : "Free-bound spectral density",
        dimension : "spectral_power_density",
        nspecies  : 0,
        section   : "radiation",
        formula   : "this.getFreeBoundSpectralDensity()"
    },
    
    {
        name      : "Bound-bound losses",
        dimension : "power_density",
        nspecies  : 0,
        section   : "radiation",
        formula   : "this.getBoundBoundLosses()"
    },
    
    {
        name      : "Ideal gas pressure",
        dimension : "pressure",
        nspecies  : 1,
        section   : "fundamental",
        formula   : "%s1.getPressure()",
        wikiLink  : "Ideal_gas"
    },
    
    {
        name      : "Total pressure",
        dimension : "pressure",
        nspecies  : 0,
        section   : "fundamental",
        formula   : "this.getPressure()"
    },
    
    {
        name      : "Magnetic field pressure",
        dimension : "pressure",
        nspecies  : 0,
        section   : "fundamental",
        formula   : "this.getMagneticFieldPressure()",
        wikiLink  : "Magnetic_pressure"
    },
    
    {
        name      : "Coulomb logarithm",
        dimension : "none",
        nspecies  : 1,
        section   : "collisions",
        formula   : "this.e.getCoulombLog(%s1)",
        wikiLink  : "Coulomb_logarithm",
        prepos    : "for electrons/"
    },

    {
        name      : "Thomson cross-section",
        dimension : "area",
        nspecies  : 1,
        section   : "collisions",
        formula   : "%s1.getThomsonXsTotal()",
        wikiLink  : "Thomson_cross_section"
    }
);
